SAPR-ART
dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > перенос текста на другую строку

перенос текста на другую строку

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 09.02.2007, 07:23 #1
перенос текста на другую строку
Димас
 
джедай
 
Магадан
Регистрация: 31.01.2005
Сообщений: 460
Отправить сообщение для Димас с помощью ICQ

Димас вне форума Вставить имя

каким символом можно задать перенос мультитекста на другую строку?

интересует что-либо похожее на
или

в HTML
Просмотров: 26801
 
Непрочитано 09.02.2007, 07:57
#2
Ax3

Programming, automation, CADs, GISs. "Теплоком"
 
Регистрация: 02.02.2007
Россия, Санкт-Петербург
Сообщений: 297


Символ \n. О введении управляющих последовательностей в mtext можно посмотреть здесь http://dwg.ru/forum/viewtopic.php?t=11608. Вкратце - могу предложить использовать _-mtext (т.е. текстовый вариант команды _mtext).
Ax3 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 09.02.2007, 08:26
#3
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
Отправить сообщение для Димас с помощью ICQ


не подошло, к сожалению

идея была такая - в штамп хочу автоматом проставить название проекта
название беру из свойств документа (Title), его можно записать там только в одну строчку

вставляю в штам как %<\AcVar Title>%

каким символом можно заставить автокад переносить текст на новую строчку в поле?

пока вижу два решения проблемы - добавить дополнительное поле и вставлять текст в штамп в 2 строки
либо вставить в свойства документа тест как
{\f'Times New Roman|b0|i0|c204|p18;текст...

оба способа неудобны тем что в дальнейшем планируется пользоваться свойством Title и хотелось бы иметь там нормальный текст с минимумом символов
Димас вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.02.2007, 08:28
#4
Ax3

Programming, automation, CADs, GISs. "Теплоком"
 
Регистрация: 02.02.2007
Россия, Санкт-Петербург
Сообщений: 297


Sorry. Проверил - не работает. А просто enter не подходит?
Ax3 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.02.2007, 08:30
#5
Ax3

Programming, automation, CADs, GISs. "Теплоком"
 
Регистрация: 02.02.2007
Россия, Санкт-Петербург
Сообщений: 297


А, понял. Посмотрю, но что-то пока простых решений не вижу.
Ax3 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 09.02.2007, 08:32
#6
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
Отправить сообщение для Димас с помощью ICQ


Цитата:
Сообщение от Ax3
Sorry. Проверил - не работает. А просто enter не подходит?
нет)
см пост выше
Димас вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.02.2007, 09:19
#7
den001

Инженер по автоматизации (строительство)
 
Регистрация: 05.05.2006
Люберцы
Сообщений: 241


Димас
\P

Хотя нет, прочитал повнимательнее, у тебя серьезнее проблема, звиняй. :wink:
den001 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 09.02.2007, 09:22
#8
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
Отправить сообщение для Димас с помощью ICQ


аналогично(

проверял и текст'пробел'/P'пробел'текст
и текст/Pтекст

и с \ и с / не работает
Димас вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.02.2007, 09:46
#9
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 35,429


А попробовать ввести \\P?
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.02.2007, 09:51
#10
Ax3

Programming, automation, CADs, GISs. "Теплоком"
 
Регистрация: 02.02.2007
Россия, Санкт-Петербург
Сообщений: 297


Я похожую вещь делал в Word. Так там я в программе использовал свойство документа, а для визуализации использовал переменную, в которой нужным образом форматировал строку (вставлял всякие управляющие символы).
Ax3 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 09.02.2007, 09:57
#11
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
Отправить сообщение для Димас с помощью ICQ


\\P тоже не подошло
Димас вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.02.2007, 10:23
#12
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 35,429


Можно попробовать так:
Код:
[Выделить все]
(vla-AddText (vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object))) (strcat "%<\\AcVar Title>%" "\n" "New string") (vlax-3d-point (getpoint)) 2.5)
Или так:
Код:
[Выделить все]
(vla-AddmText (vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object))) (vlax-3d-point (getpoint)) 0.
(strcat "%<\\AcVar Title>%" "\n" "New string"))
Или так:
Код:
[Выделить все]
(vla-AddmText (vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object))) (vlax-3d-point (getpoint)) 0.
(strcat "%<\\AcVar Title>%" "\\P" "New string"))
---
Добавлено: и \n, и \\P работают в многострочном тексте в таком варианте; для однострочного прокатывает только \n.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.02.2007, 11:03
#13
kp+

идущий по граблям
 
Регистрация: 26.05.2005
Днепропетровск
Сообщений: 3,720


а есть ли возможность принудительного перехода на новую строку в ячейке Автокадовской таблицы?
kp+ вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.02.2007, 11:27
#14
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 35,429


<Alt> + <Enter> - это для переноса строки внутри одной ячейки.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.02.2007, 14:40
#15
kp+

идущий по граблям
 
Регистрация: 26.05.2005
Днепропетровск
Сообщений: 3,720


Цитата:
Сообщение от Кулик Алексей aka kpblc
<Alt> + <Enter> - это для переноса строки внутри одной ячейки.
СПАСИБО!
kp+ вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 12.02.2007, 02:10
#16
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
Отправить сообщение для Димас с помощью ICQ


спасибо, но не подходит

я тогда проще разобью текст на две строки разместив его по 2-м полям
одно %<\\AcVar Title>% а второе допустим тут %<\AcVar CustomDP.титул2>%

а перенос строки вручную проставлю когда эти поля ставить буду..
Димас вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 21.11.2011, 13:09
#17
andery


 
Регистрация: 27.12.2007
Сообщений: 132
Отправить сообщение для andery с помощью ICQ


Появилось ли решение данной проблемы?
Свойства подшивки называю объект, и вставляю в штамп и хотелось бы управлять переносами.
andery вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 21.11.2011, 13:20
#18
kha

BIM, С#, AutoCAD, LISP
 
Регистрация: 15.03.2006
Дуброво
Сообщений: 656


Присоединяюсь к вопросу.
Пока что решаю путём вбивания значительного количества пробелов, чтобы в многострочном атрибуте произошёл автоперенос на другую строку. Но хотелось бы как-нибудь поудобнее, так как не всегда получается точно определить необходимое количество пробелов. Если не хватает - приходится возвращаться обратно к заданию пользовательского свойства чертежа.
__________________
"Молодой человек, Вы не представляете всей широты поставленной перед Вами задачи." © Панкратова Г.Е.
kha вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 29.07.2013, 09:30
#19
allar8


 
Регистрация: 12.03.2013
Сообщений: 277


Цитата:
Сообщение от Димас Посмотреть сообщение
идея была такая - в штамп хочу автоматом проставить название проекта
Случайно совсем получилось отформатировать поле так как нужно. Печатаешь в Мтекст содержимое своего поля. Форматируешь его как тебе нужно (например с шифтом принудительно переносишь слова). Копируешь все содержимое этого Мтекста в блокнот. А уже из блокнота, вставляешь в нужное тебе поле (Например в Имя проекта). При последующей вставке поля в чертеж, оно вставляется с тем же форматированием с которым тебе нужно.
allar8 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 29.07.2013, 10:03
#20
shartal


 
Регистрация: 12.08.2009
Сообщений: 335


Как это у вас получилось? Если в блокноте больше одной строки текста, вставка в свойства подшивки не работает. Во всяком случае в 2011.
shartal вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > перенос текста на другую строку

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||